diff --git a/test/containers/associative/map/map.modifiers/insert_rv.pass.cpp b/test/containers/associative/map/map.modifiers/insert_rv.pass.cpp
index c5724c4..fea8895 100644
--- a/test/containers/associative/map/map.modifiers/insert_rv.pass.cpp
+++ b/test/containers/associative/map/map.modifiers/insert_rv.pass.cpp
@@ -18,7 +18,7 @@
 #include <cassert>
 
 #include "../../../MoveOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/map/map.ops/count.pass.cpp b/test/containers/associative/map/map.ops/count.pass.cpp
index 70eadac..6628e3d 100644
--- a/test/containers/associative/map/map.ops/count.pass.cpp
+++ b/test/containers/associative/map/map.ops/count.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/map/map.ops/equal_range.pass.cpp b/test/containers/associative/map/map.ops/equal_range.pass.cpp
index b08acb0..dff751c 100644
--- a/test/containers/associative/map/map.ops/equal_range.pass.cpp
+++ b/test/containers/associative/map/map.ops/equal_range.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/map/map.ops/find.pass.cpp b/test/containers/associative/map/map.ops/find.pass.cpp
index 4d1beab..a757844 100644
--- a/test/containers/associative/map/map.ops/find.pass.cpp
+++ b/test/containers/associative/map/map.ops/find.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/map/map.ops/lower_bound.pass.cpp b/test/containers/associative/map/map.ops/lower_bound.pass.cpp
index 1ac1753..87b84ee 100644
--- a/test/containers/associative/map/map.ops/lower_bound.pass.cpp
+++ b/test/containers/associative/map/map.ops/lower_bound.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/map/map.ops/upper_bound.pass.cpp b/test/containers/associative/map/map.ops/upper_bound.pass.cpp
index 20973e3..037ceb9 100644
--- a/test/containers/associative/map/map.ops/upper_bound.pass.cpp
+++ b/test/containers/associative/map/map.ops/upper_bound.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/map/map.special/member_swap.pass.cpp b/test/containers/associative/map/map.special/member_swap.pass.cpp
index af59225..4f7bd51 100644
--- a/test/containers/associative/map/map.special/member_swap.pass.cpp
+++ b/test/containers/associative/map/map.special/member_swap.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/map/map.special/non_member_swap.pass.cpp b/test/containers/associative/map/map.special/non_member_swap.pass.cpp
index e474a46..dc925fd 100644
--- a/test/containers/associative/map/map.special/non_member_swap.pass.cpp
+++ b/test/containers/associative/map/map.special/non_member_swap.pass.cpp
@@ -19,7 +19,7 @@
 #include <cassert>
 #include "../../../test_allocator.h"
 #include "../../../test_compare.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/map/types.pass.cpp b/test/containers/associative/map/types.pass.cpp
index aca81df..af2172f 100644
--- a/test/containers/associative/map/types.pass.cpp
+++ b/test/containers/associative/map/types.pass.cpp
@@ -32,7 +32,8 @@
 #include <map>
 #include <type_traits>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
+#include "powerpc-darwin.h"
 
 int main()
 {
@@ -60,7 +61,11 @@ int main()
     static_assert((std::is_same<std::map<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::const_reference, const std::pair<const int, double>&>::value), "");
     static_assert((std::is_same<std::map<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::pointer, min_pointer<std::pair<const int, double>>>::value), "");
     static_assert((std::is_same<std::map<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::const_pointer, min_pointer<const std::pair<const int, double>>>::value), "");
+#ifdef	PTRDIFF_T_VS_SIZE_T_DIFFER
+    static_assert(sizeof(std::map<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::size_type) == sizeof(std::size_t), "");
+#else
     static_assert((std::is_same<std::map<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::size_type, std::size_t>::value), "");
+#endif
     static_assert((std::is_same<std::map<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::difference_type, std::ptrdiff_t>::value), "");
     }
 #endif
diff --git a/test/containers/associative/multimap/empty.pass.cpp b/test/containers/associative/multimap/empty.pass.cpp
index cafdb73..2384960 100644
--- a/test/containers/associative/multimap/empty.pass.cpp
+++ b/test/containers/associative/multimap/empty.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/iterator.pass.cpp b/test/containers/associative/multimap/iterator.pass.cpp
index a58b583..1fdbfa1 100644
--- a/test/containers/associative/multimap/iterator.pass.cpp
+++ b/test/containers/associative/multimap/iterator.pass.cpp
@@ -29,7 +29,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/max_size.pass.cpp b/test/containers/associative/multimap/max_size.pass.cpp
index 7bcb12a..ccd8b10 100644
--- a/test/containers/associative/multimap/max_size.pass.cpp
+++ b/test/containers/associative/multimap/max_size.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/alloc.pass.cpp b/test/containers/associative/multimap/multimap.cons/alloc.pass.cpp
index aa3b6e2..5b494c9 100644
--- a/test/containers/associative/multimap/multimap.cons/alloc.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/alloc.pass.cpp
@@ -17,7 +17,7 @@
 #include <cassert>
 
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/assign_initializer_list.pass.cpp b/test/containers/associative/multimap/multimap.cons/assign_initializer_list.pass.cpp
index 8c658d4..0c89918 100644
--- a/test/containers/associative/multimap/multimap.cons/assign_initializer_list.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/assign_initializer_list.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/compare.pass.cpp b/test/containers/associative/multimap/multimap.cons/compare.pass.cpp
index 99265ef..9a4e0f9 100644
--- a/test/containers/associative/multimap/multimap.cons/compare.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/compare.pass.cpp
@@ -17,7 +17,7 @@
 #include <cassert>
 
 #include "../../../test_compare.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/compare_alloc.pass.cpp b/test/containers/associative/multimap/multimap.cons/compare_alloc.pass.cpp
index 864a542..c578b20 100644
--- a/test/containers/associative/multimap/multimap.cons/compare_alloc.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/compare_alloc.pass.cpp
@@ -18,7 +18,7 @@
 
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/copy.pass.cpp b/test/containers/associative/multimap/multimap.cons/copy.pass.cpp
index 65a1e92..7edcc51 100644
--- a/test/containers/associative/multimap/multimap.cons/copy.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/copy.pass.cpp
@@ -18,7 +18,7 @@
 
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/copy_alloc.pass.cpp b/test/containers/associative/multimap/multimap.cons/copy_alloc.pass.cpp
index a9cba17..c5b87aa 100644
--- a/test/containers/associative/multimap/multimap.cons/copy_alloc.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/copy_alloc.pass.cpp
@@ -18,7 +18,7 @@
 
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/copy_assign.pass.cpp b/test/containers/associative/multimap/multimap.cons/copy_assign.pass.cpp
index 533338c..c7a0e49 100644
--- a/test/containers/associative/multimap/multimap.cons/copy_assign.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/copy_assign.pass.cpp
@@ -18,7 +18,7 @@
 
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/default.pass.cpp b/test/containers/associative/multimap/multimap.cons/default.pass.cpp
index ca8225f..2651d90 100644
--- a/test/containers/associative/multimap/multimap.cons/default.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/default.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/initializer_list.pass.cpp b/test/containers/associative/multimap/multimap.cons/initializer_list.pass.cpp
index 139052c..937a202 100644
--- a/test/containers/associative/multimap/multimap.cons/initializer_list.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/initializer_list.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/initializer_list_compare.pass.cpp b/test/containers/associative/multimap/multimap.cons/initializer_list_compare.pass.cpp
index f2545c0..e667703 100644
--- a/test/containers/associative/multimap/multimap.cons/initializer_list_compare.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/initializer_list_compare.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 #include "../../../test_compare.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/initializer_list_compare_alloc.pass.cpp b/test/containers/associative/multimap/multimap.cons/initializer_list_compare_alloc.pass.cpp
index a2c0cdb..c65c36b 100644
--- a/test/containers/associative/multimap/multimap.cons/initializer_list_compare_alloc.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/initializer_list_compare_alloc.pass.cpp
@@ -17,7 +17,7 @@
 #include <cassert>
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/iter_iter.pass.cpp b/test/containers/associative/multimap/multimap.cons/iter_iter.pass.cpp
index 78fdbdb..fa062e2 100644
--- a/test/containers/associative/multimap/multimap.cons/iter_iter.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/iter_iter.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/iter_iter_comp.pass.cpp b/test/containers/associative/multimap/multimap.cons/iter_iter_comp.pass.cpp
index 267edc2..d6de594 100644
--- a/test/containers/associative/multimap/multimap.cons/iter_iter_comp.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/iter_iter_comp.pass.cpp
@@ -19,7 +19,7 @@
 #include <cassert>
 
 #include "../../../test_compare.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/iter_iter_comp_alloc.pass.cpp b/test/containers/associative/multimap/multimap.cons/iter_iter_comp_alloc.pass.cpp
index 883f64c..dfd946e 100644
--- a/test/containers/associative/multimap/multimap.cons/iter_iter_comp_alloc.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/iter_iter_comp_alloc.pass.cpp
@@ -20,7 +20,7 @@
 
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/move.pass.cpp b/test/containers/associative/multimap/multimap.cons/move.pass.cpp
index d6e835c..06bab09 100644
--- a/test/containers/associative/multimap/multimap.cons/move.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/move.pass.cpp
@@ -18,7 +18,7 @@
 
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/move_alloc.pass.cpp b/test/containers/associative/multimap/multimap.cons/move_alloc.pass.cpp
index c807b4f..7f5f0f7 100644
--- a/test/containers/associative/multimap/multimap.cons/move_alloc.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/move_alloc.pass.cpp
@@ -19,7 +19,7 @@
 #include "../../../MoveOnly.h"
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.cons/move_assign.pass.cpp b/test/containers/associative/multimap/multimap.cons/move_assign.pass.cpp
index 0aa7c18..e02a988 100644
--- a/test/containers/associative/multimap/multimap.cons/move_assign.pass.cpp
+++ b/test/containers/associative/multimap/multimap.cons/move_assign.pass.cpp
@@ -19,7 +19,7 @@
 #include "../../../MoveOnly.h"
 #include "../../../test_compare.h"
 #include "../../../test_allocator.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/clear.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/clear.pass.cpp
index 4864ec1..fe9b8c8 100644
--- a/test/containers/associative/multimap/multimap.modifiers/clear.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/clear.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/emplace.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/emplace.pass.cpp
index 7af4426..6fbcda9 100644
--- a/test/containers/associative/multimap/multimap.modifiers/emplace.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/emplace.pass.cpp
@@ -19,7 +19,7 @@
 
 #include "../../../Emplaceable.h"
 #include "../../../DefaultOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/emplace_hint.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/emplace_hint.pass.cpp
index 3f94c03..7d5e5e8 100644
--- a/test/containers/associative/multimap/multimap.modifiers/emplace_hint.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/emplace_hint.pass.cpp
@@ -19,7 +19,7 @@
 
 #include "../../../Emplaceable.h"
 #include "../../../DefaultOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/erase_iter.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/erase_iter.pass.cpp
index d2979b1..d91295b 100644
--- a/test/containers/associative/multimap/multimap.modifiers/erase_iter.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/erase_iter.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/erase_iter_iter.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/erase_iter_iter.pass.cpp
index be1ab6f..4d37894 100644
--- a/test/containers/associative/multimap/multimap.modifiers/erase_iter_iter.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/erase_iter_iter.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/erase_key.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/erase_key.pass.cpp
index c5dd6fb..ebae10e 100644
--- a/test/containers/associative/multimap/multimap.modifiers/erase_key.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/erase_key.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/insert_cv.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/insert_cv.pass.cpp
index c23d821..d9afc9d 100644
--- a/test/containers/associative/multimap/multimap.modifiers/insert_cv.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/insert_cv.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/insert_initializer_list.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/insert_initializer_list.pass.cpp
index 8fc080d..5e1a1d4 100644
--- a/test/containers/associative/multimap/multimap.modifiers/insert_initializer_list.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/insert_initializer_list.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/insert_iter_cv.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/insert_iter_cv.pass.cpp
index 0c8e916..b83c802 100644
--- a/test/containers/associative/multimap/multimap.modifiers/insert_iter_cv.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/insert_iter_cv.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/insert_iter_iter.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/insert_iter_iter.pass.cpp
index 6e3d2f2..70ff7ef 100644
--- a/test/containers/associative/multimap/multimap.modifiers/insert_iter_iter.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/insert_iter_iter.pass.cpp
@@ -18,7 +18,7 @@
 #include <cassert>
 
 #include "test_iterators.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/insert_iter_rv.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/insert_iter_rv.pass.cpp
index efc99e1..60ca7d4 100644
--- a/test/containers/associative/multimap/multimap.modifiers/insert_iter_rv.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/insert_iter_rv.pass.cpp
@@ -18,7 +18,7 @@
 #include <cassert>
 
 #include "../../../MoveOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.modifiers/insert_rv.pass.cpp b/test/containers/associative/multimap/multimap.modifiers/insert_rv.pass.cpp
index 1678c9d..2f198f8 100644
--- a/test/containers/associative/multimap/multimap.modifiers/insert_rv.pass.cpp
+++ b/test/containers/associative/multimap/multimap.modifiers/insert_rv.pass.cpp
@@ -18,7 +18,7 @@
 #include <cassert>
 
 #include "../../../MoveOnly.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.ops/count.pass.cpp b/test/containers/associative/multimap/multimap.ops/count.pass.cpp
index b0e4c58..34c0413 100644
--- a/test/containers/associative/multimap/multimap.ops/count.pass.cpp
+++ b/test/containers/associative/multimap/multimap.ops/count.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.ops/equal_range.pass.cpp b/test/containers/associative/multimap/multimap.ops/equal_range.pass.cpp
index 4632eb1..a408796 100644
--- a/test/containers/associative/multimap/multimap.ops/equal_range.pass.cpp
+++ b/test/containers/associative/multimap/multimap.ops/equal_range.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/multimap/multimap.ops/find.pass.cpp b/test/containers/associative/multimap/multimap.ops/find.pass.cpp
index e4dba28..fb5afa2 100644
--- a/test/containers/associative/multimap/multimap.ops/find.pass.cpp
+++ b/test/containers/associative/multimap/multimap.ops/find.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/multimap/multimap.ops/lower_bound.pass.cpp b/test/containers/associative/multimap/multimap.ops/lower_bound.pass.cpp
index 5ec1210..49cf6de 100644
--- a/test/containers/associative/multimap/multimap.ops/lower_bound.pass.cpp
+++ b/test/containers/associative/multimap/multimap.ops/lower_bound.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/multimap/multimap.ops/upper_bound.pass.cpp b/test/containers/associative/multimap/multimap.ops/upper_bound.pass.cpp
index aa5a525..1920647 100644
--- a/test/containers/associative/multimap/multimap.ops/upper_bound.pass.cpp
+++ b/test/containers/associative/multimap/multimap.ops/upper_bound.pass.cpp
@@ -17,7 +17,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/multimap/multimap.special/member_swap.pass.cpp b/test/containers/associative/multimap/multimap.special/member_swap.pass.cpp
index 1e1ab23..c8f30aa 100644
--- a/test/containers/associative/multimap/multimap.special/member_swap.pass.cpp
+++ b/test/containers/associative/multimap/multimap.special/member_swap.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/multimap.special/non_member_swap.pass.cpp b/test/containers/associative/multimap/multimap.special/non_member_swap.pass.cpp
index 6f5b92f..d403774 100644
--- a/test/containers/associative/multimap/multimap.special/non_member_swap.pass.cpp
+++ b/test/containers/associative/multimap/multimap.special/non_member_swap.pass.cpp
@@ -19,7 +19,7 @@
 #include <cassert>
 #include "../../../test_allocator.h"
 #include "../../../test_compare.h"
-#include "../../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/size.pass.cpp b/test/containers/associative/multimap/size.pass.cpp
index 794c34a..ac71d4c 100644
--- a/test/containers/associative/multimap/size.pass.cpp
+++ b/test/containers/associative/multimap/size.pass.cpp
@@ -16,7 +16,7 @@
 #include <map>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multimap/types.pass.cpp b/test/containers/associative/multimap/types.pass.cpp
index 2fe8fe0..abfc5a4 100644
--- a/test/containers/associative/multimap/types.pass.cpp
+++ b/test/containers/associative/multimap/types.pass.cpp
@@ -32,7 +32,8 @@
 #include <map>
 #include <type_traits>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
+#include "powerpc-darwin.h"
 
 int main()
 {
@@ -60,7 +61,11 @@ int main()
     static_assert((std::is_same<std::multimap<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::const_reference, const std::pair<const int, double>&>::value), "");
     static_assert((std::is_same<std::multimap<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::pointer, min_pointer<std::pair<const int, double>>>::value), "");
     static_assert((std::is_same<std::multimap<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::const_pointer, min_pointer<const std::pair<const int, double>>>::value), "");
+#ifdef	PTRDIFF_T_VS_SIZE_T_DIFFER
+    static_assert(sizeof(std::multimap<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::size_type) == sizeof(std::size_t), "");
+#else
     static_assert((std::is_same<std::multimap<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::size_type, std::size_t>::value), "");
+#endif
     static_assert((std::is_same<std::multimap<int, double, std::less<int>, min_allocator<std::pair<const int, double>>>::difference_type, std::ptrdiff_t>::value), "");
     }
 #endif
diff --git a/test/containers/associative/multiset/clear.pass.cpp b/test/containers/associative/multiset/clear.pass.cpp
index f325a70..3069de5 100644
--- a/test/containers/associative/multiset/clear.pass.cpp
+++ b/test/containers/associative/multiset/clear.pass.cpp
@@ -16,7 +16,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/count.pass.cpp b/test/containers/associative/multiset/count.pass.cpp
index cba6430..12af167 100644
--- a/test/containers/associative/multiset/count.pass.cpp
+++ b/test/containers/associative/multiset/count.pass.cpp
@@ -16,7 +16,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/emplace.pass.cpp b/test/containers/associative/multiset/emplace.pass.cpp
index 08ac42b..6b76cf0 100644
--- a/test/containers/associative/multiset/emplace.pass.cpp
+++ b/test/containers/associative/multiset/emplace.pass.cpp
@@ -19,7 +19,7 @@
 
 #include "../../Emplaceable.h"
 #include "../../DefaultOnly.h"
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/emplace_hint.pass.cpp b/test/containers/associative/multiset/emplace_hint.pass.cpp
index 1510c01..1eddd1e 100644
--- a/test/containers/associative/multiset/emplace_hint.pass.cpp
+++ b/test/containers/associative/multiset/emplace_hint.pass.cpp
@@ -19,7 +19,7 @@
 
 #include "../../Emplaceable.h"
 #include "../../DefaultOnly.h"
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/empty.pass.cpp b/test/containers/associative/multiset/empty.pass.cpp
index 154180d..32aef90 100644
--- a/test/containers/associative/multiset/empty.pass.cpp
+++ b/test/containers/associative/multiset/empty.pass.cpp
@@ -16,7 +16,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/equal_range.pass.cpp b/test/containers/associative/multiset/equal_range.pass.cpp
index 6babfa1..8c69d0c 100644
--- a/test/containers/associative/multiset/equal_range.pass.cpp
+++ b/test/containers/associative/multiset/equal_range.pass.cpp
@@ -17,7 +17,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/multiset/erase_iter.pass.cpp b/test/containers/associative/multiset/erase_iter.pass.cpp
index 3657f52..b665666 100644
--- a/test/containers/associative/multiset/erase_iter.pass.cpp
+++ b/test/containers/associative/multiset/erase_iter.pass.cpp
@@ -16,7 +16,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/erase_iter_iter.pass.cpp b/test/containers/associative/multiset/erase_iter_iter.pass.cpp
index de4c878..e1d7090 100644
--- a/test/containers/associative/multiset/erase_iter_iter.pass.cpp
+++ b/test/containers/associative/multiset/erase_iter_iter.pass.cpp
@@ -16,7 +16,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/erase_key.pass.cpp b/test/containers/associative/multiset/erase_key.pass.cpp
index 1702329..e9bce1e 100644
--- a/test/containers/associative/multiset/erase_key.pass.cpp
+++ b/test/containers/associative/multiset/erase_key.pass.cpp
@@ -16,7 +16,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
diff --git a/test/containers/associative/multiset/find.pass.cpp b/test/containers/associative/multiset/find.pass.cpp
index b4963e9..364460a 100644
--- a/test/containers/associative/multiset/find.pass.cpp
+++ b/test/containers/associative/multiset/find.pass.cpp
@@ -17,7 +17,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 #include "private_constructor.hpp"
 
 int main()
diff --git a/test/containers/associative/multiset/insert_cv.pass.cpp b/test/containers/associative/multiset/insert_cv.pass.cpp
index 57e1e98..1797157 100644
--- a/test/containers/associative/multiset/insert_cv.pass.cpp
+++ b/test/containers/associative/multiset/insert_cv.pass.cpp
@@ -16,7 +16,7 @@
 #include <set>
 #include <cassert>
 
-#include "../../min_allocator.h"
+#include "min_allocator.h"
 
 int main()
 {
